org.apache.commons.math.genetics

## Interface CrossoverPolicy

All Known Implementing Classes:
  OnePointCrossover

    public interface CrossoverPolicy

Policy used to create a pair of new chromosomes by performing a crossover operation on a source pair of chromosomes.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

### Method Summary

Methods
`ChromosomePair` `crossover(Chromosome first, Chromosome second)` Perform a crossover operation on the given chromosomes.

### Method Detail

#### crossover

    ChromosomePair crossover(Chromosome first,
                           Chromosome second)

Perform a crossover operation on the given chromosomes.

Parameters:
  `first` - the first chromosome.
  `second` - the second chromosome.
Returns:
  the pair of new chromosomes that resulted from the crossover.